Skip to content
Documentation

Add a message or internal note

POST
/v1/public-api/conversations/{uuid}/messages

Scope: conversations:write. private: true adds an internal note (never delivered to the customer); otherwise the reply is sent to the customer through the channel. client_id adds extra duplicate protection. Idempotency-Key is required.

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organization API key (cf_sk_…), created under Organization → API and automations → API keys and sent as Authorization: Bearer cf_sk_….

Path Parameters

uuid*string
Formatuuid

Header Parameters

Idempotency-Key*string
Lengthlength <= 200

Request Body

application/json
  1. body
content*string
private?boolean
client_id?string
Formatuuid

Response Body

Success

application/json
  1. response
success*boolean
data*unknown
meta?
Example Request
curl -X POST 'https://api.getclickfix.com/v1/public-api/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "content": "The order has shipped.",  "private": true,  "client_id": "6f1c0e3a-0d0b-4a4e-9a51-3c8b7d2f1e90"}'
Example Response
{  "success": true,  "data": {    "uuid": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e6f",    "conversation_uuid": "8f0e5c2a-6b1d-4f3a-9c7e-2d4b6a8c0e1f",    "direction": "outgoing",    "private": true,    "content": "The order has shipped.",    "sender": {      "type": "agent",      "name": "Mehmet Kaya"    },    "client_id": "6f1c0e3a-0d0b-4a4e-9a51-3c8b7d2f1e90",    "created_at": "2026-11-11T09:20:00Z"  },  "meta": {    "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB"  }}